
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Laravel 5框架学习之Blade 简介_php实例 / iVAN</title>

    <meta name="description" content="Laravel 5框架学习之Blade 简介_php实例 在多个页面中我们可能包含相同的内容,像是文件头,链接的css或者js等.我们可以利用布局文件完成这个功能. 让我们新建一个布局文件,例如 views/layout.blade.php &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;Document&lt;/title&gt; &lt;link rel=&q ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Laravel 5框架学习之Blade 简介_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在多个页面中我们可能包含相同的内容，像是文件头，链接的css或者js等。我们可以利用布局文件完成这个功能。</p>
<p>让我们新建一个布局文件，例如 views/layout.blade.php</p>
<pre>
&lt;!doctype html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
  &lt;meta charset="UTF-8"&gt;
  &lt;title&gt;Document&lt;/title&gt;
  &lt;link rel="stylesheet" href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css"&gt;
&lt;/head&gt;
&lt;body&gt;
  &lt;div class="container"&gt;
    @yield('content')
  &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>
<p>我们创建了不解的结构，引入了bootstrap，注意 @yield 是blade的布局占位符，未来我们的页面内容将填充到这里，修改 about.blade.php</p>
<pre>
@extends('layout')

@section('content')

&lt;h1&gt;About {{ $first }} {{ $last }}&lt;/h1&gt;

@stop
</pre>
<p>上面的代码表示我们使用布局文件 layout.blade.php， 然后在 content 段中添加内容。</p>
<p>在 routes.php 中添加：</p>
<pre>
Route::get('about', 'PagesController@about');
Route::get('contact', 'PagesController@contact');
</pre>
<p>在 PagesController.php 中添加：</p>
<pre>
  public function contact() {
    return view('pages.contact');
  }
</pre>
<p>新建视图 pages/contact.blade.php</p>
<pre>
@extends('layout')

@section('content')
  &lt;h1&gt;Contact Me!&lt;/h1&gt;
@stop
</pre>
<p>Check it out!</p>
<p>在布局文件中我们可以添加多个 @yield , 比如在 layout.blade.php 中添加 @yield('footer') ：</p>
<pre>
&lt;!doctype html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
  &lt;meta charset="UTF-8"&gt;
  &lt;title&gt;Document&lt;/title&gt;
  &lt;link rel="stylesheet" href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css"&gt;
&lt;/head&gt;
&lt;body&gt;
  &lt;div class="container"&gt;
    @yield('content')
  &lt;/div&gt;

  @yield('footer')
&lt;/body&gt;
&lt;/html&gt;
</pre>
<p>比如 contact.blade.php 中有一段脚本，就可以放在这个段中。</p>
<pre>
@extends('layout')

@section('content')
  &lt;h1&gt;Contact Me!&lt;/h1&gt;
@stop

@section('footer')
  &lt;script&gt;
    alert('Contact from scritp')
  &lt;/script&gt;
@stop
</pre>
<p>访问contact会有对话框，而about仍然是普通显示</p>
<p>使用 @if 进行判断</p>
<pre>
@extends('layout')

@section('content')
  @if ($first = 'Zhang')
    &lt;h1&gt;Hello, Zhang&lt;/h1&gt;
  @else
    &lt;h1&gt;Hello, nobody&lt;/h1&gt;
  @endif
@stop
</pre>
<p>也可以视同 @unless 等同于 if !， 还有 @foreach 等。</p>
<pre>
  public function about()
  {
    $people = [
      'zhang san',
      'li si',
      'wang wu'
    ];
    return view('pages.about', compact('people'));
  }
@extends('layout')

@section('content')
  &lt;h1&gt;Person:&lt;/h1&gt;
  &lt;ul&gt;
    @foreach($people as $person)
      &lt;li&gt;{{ $person }}&lt;/li&gt;
    @endforeach
  &lt;/ul&gt;
@stop
</pre>
<p>有一种情况，数据可能来自数据库，集合可能是空，像是这样：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$people = [];</p>
<p>处理这种情况，请添加 @if 处理</p>
<pre>
@extends('layout')

@section('content')
  @if (count($people))
    &lt;h1&gt;Person:&lt;/h1&gt;
    &lt;ul&gt;
      @foreach($people as $person)
        &lt;li&gt;{{ $person }}&lt;/li&gt;
      @endforeach
    &lt;/ul&gt;
  @endif

  &lt;h2&gt;Other info&lt;/h2&gt;
@stop
</pre>
<p>That's better.</p>
<p>以上所述就是本文的全部内容了，希望能够对大家学习Laravel5有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索laravel<br />
                    ，                PHP框架Laravel<br />
                    ，                blade模板<br />
                                    aravel框架开发<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:18:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/laravel/" title="laravel">laravel</a>, <a href="https://www.iamivan.net/tag/php%e6%a1%86%e6%9e%b6laravel/" title="PHP框架Laravel">PHP框架Laravel</a>, <a href="https://www.iamivan.net/tag/blade%e6%a8%a1%e6%9d%bf/" title="blade模板">blade模板</a>, <a href="https://www.iamivan.net/tag/aravel%e6%a1%86%e6%9e%b6%e5%bc%80%e5%8f%91/" title="aravel框架开发">aravel框架开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Laravel 5框架学习之Blade 简介_php实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJxy2p.html" rel="bookmark">Laravel 5框架学习之表单&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先让我们修改路由,能够增加一个文章的发布. 复制代码 代码如下: Route::get('articles/create', 'ArticlesController@create'); 然后修改控制器 复制代码 代码如下:     public function create() {         return view('articles.create');     } 我们返回一个视图,新建这个视图.我们当然可以直接使用HTML建立表单,但我们有功能更好的办法.我们使用一个开源库,Jef			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB5Eqz.html" rel="bookmark">Laravel 5框架学习之用户认证&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Laravel 出厂已经带有了用户认证系统,我们来看一下 routes.php,如果删除了,添加上: Route::controllers([ 'auth' =&gt; 'Auth\AuthController', 'password' =&gt; 'Auth\PasswordController' ]); 可以使用 php artisan route:list 查看一下.浏览器中访问 /auth/login,可以看到登陆界面,最好把系统默认的 app.blade.php 中关于 google 的东西注释			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3xr6p.html" rel="bookmark">Laravel 5框架学习之Eloquent 关系&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个用户可能有多个文章,一个文章是某个用户书写的,这就是关系.同样文章中可能包含多个 TAG,而一个 TAG 可能关联多个文章. 在项目中,我们已经有了 User.php,也就是用户模型,查看一下,相当简单.我们希望直接使用 $user-&gt;articles() 的形式获取全部文章,让我们修改 user 模型: public function articles() { return $this-&gt;hasMany('App\Article'); } 但是我们仅仅完成了关系中的一端,让我们来处理另一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYlvWM.html" rel="bookmark">Laravel 5 框架入门（一）&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Laravel 5 中文文档: 1. http://laravel-china.org/docs/5.0 2. http://www.golaravel.com/laravel/docs/5.0/ 默认条件 本文默认你已经有配置完善的 PHP + MySQL 运行环境,懂得 PHP 网站运行的基础知识.跟随本教程走完一遍,你将会得到一个基础的包含登录的简单 blog 系统,并将学会如何使用一些强大的 Laravel 插件和 composer 包(Laravel 插件也是 composer 包).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg32BBM.html" rel="bookmark">Laravel 5 框架入门（三）&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇教程中,我们将利用 Laravel 5 自带的开箱即用的 Auth 系统对我们的后台进行权限验证,并构建出前台页面,对 Pages 进行展示. 1. 权限验证 后台地址为 http://localhost:88/admin ,我们的所有后台操作都将在此页面或其子页面下进行.利用 Laravel 5 提供的 Auth,我们只需要改动很少部分的路由代码便可以实现权限验证功能. 首先,将路由组的代码改为: 复制代码 代码如下: Route::group(['prefix' =&gt; 'admin',			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NVXAz.html" rel="bookmark">laravel 4安装及入门图文教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.安装Composer 首先你需要安装Composer,Composer是PHP依赖管理工具,Laravel框架就是使用 Composer 执行安装和依赖管理. 注: (1)若安装Composer出错,在php.ini中开启php_openssl,php_fileinfo扩展,因为Laravel需要. (2)安装过程中,选择正确的php.exe位置 二.安装Laravel Composer安装完成后,在cmd中,你的网站目录执行下面命令即可: composer create-project l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxKNDp.html" rel="bookmark">使用Thinkphp框架开发移动端接口&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方案一:给原生APP提供api接口 使用TP框架时 放在common文件夹下文件名就叫function.php &lt;?php /** * Created by zhangkx * Email: zkx520tnhb@163.com * Date: 2015/8/1 * Time: 23:15 */ /*************************** api开发辅助函数 **********************/ /** * @param null $msg 返回正确的提示信息 * @pa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEd9mz.html" rel="bookmark">Laravel 5框架学习之路由、控制器和视图简介&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				查看 app/Http/routes.php 复制代码 代码如下: Route::get('/', 'WelcomeController@index'); @是一个界定符,前面是控制器,后面是动作,表示当用户请求url / 的时候,执行控制器 WelcomeController 中的 index 方法 复制代码 代码如下: app/http/controllers/welcomecontroller.php public function index() { return view('welco			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6qoqM.html" rel="bookmark">Laravel 5框架学习之向视图传送数据&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在Routes.php中新建一个路由 复制代码 代码如下: Route::get('about', 'PagesController@about'); 在浏览器中浏览会获得一个错误,错误信息仅仅是一个提示信息,缺少细节,在生产环境 It' ok,但是开发阶段我们希望获得详细信息. 在项目的根目录找到 .env 文件,修改 复制代码 代码如下: APP_DEBUG=true 这将显示详细的错误信息,PagesController 不存在.但在生产环境一定要设置为 false 我们可以手工新建控			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnx1Ob.html" rel="bookmark" class="title">oracle在solaris下开机启动脚本</a>
					<div>
						1.首先要认识oracle在操作系统上开启关闭数据库的命令 命令行下启动停止数据库脚本,用oracle用户执行 $ dbstart     开启数据库 $ dbshut     关闭数据库 但要使能以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL55az.html" rel="bookmark" class="title">Groovy探索 自定义Range 二 自定义Range类与Decorate模式</a>
					<div>
						Decorate模式相信大家都比较熟悉了,是一个&quot;BangOfFour&quot;中最常用的模式之一,实现起来也相当的简单.如果有人不熟悉的话,可以看看&lt;Groovy探索之Decora ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlVJaz.html" rel="bookmark" class="title">asp分解字符串为数组</a>
					<div>
						idArr=split(ID)     for i = 0 to ubound(idArr)          call DelNews(clng(idarr(i)))     next   以上是小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6PXWz.html" rel="bookmark" class="title">实现带有用户身份验证的文件传输Web Service&lpar;3&rpar; （转）</a>
					<div>
						web 作者: 曹勇刚   www.ASPCool.com 时间:2001-11-28 22:51:59  阅读次数:493      下面我们生成一个web service,起名叫FileServe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxkY7b.html" rel="bookmark" class="title">IDesign C&num;编程规范（一）</a>
					<div>
						编程|规范 IDesign发布了C#编程规范,小鸡射手从Only4Gurus下载浏览后决心抽时间翻译一下,以更好地学习. 目录内容如下: 1 命名规则和风格 Naming Conventions an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0G3jb.html" rel="bookmark" class="title">敏捷测试（6） 基于story的敏捷基础知识</a>
					<div>
						基于story的敏捷基础知识----需求管理(三) (3)每日站会 开发 story模板&quot;&gt; 站会的目的有三个: (1)周知进度 仅从用户故事和任务的层面周知进度,任务进度只有两种状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4oyNp.html" rel="bookmark" class="title">vsftpd配置简介</a>
					<div>
						如果问哪种FTP服务器最安全?那么在Unix和Linux中,首推的就是vsftpd(Very Secure FTP Daemon,非常安全的FTP服务器).顾名思义,vsftpd就是非常安全的文件传输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal4EQz.html" rel="bookmark" class="title">通过数据库引擎来加速MySQL数据库</a>
					<div>
						如果你是个赛车手,并且按一下按钮就能够立即更换引擎而不需要把车开到车库里去换,那会是什么感觉呢?MySQL数据库为开发人员所做的就好像是按按钮换引擎:它让你选择数据库引擎,并给你一条简单的途径来切换它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL1d2b.html" rel="bookmark" class="title">几何画板多边形工具使用方法</a>
					<div>
						  现在,不少人都在使用几何画板.大家都知道,几何画板是优秀的几何绘图软件,我们可以用几何画板绘制各种各样的几何图形.其工具箱包含了基本的绘图工具,以下教程将详细介绍几何画板多边形工具使用方法. 多边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62oaYM.html" rel="bookmark" class="title">Asp&period;Net用OWC操作Excel的实例代码</a>
					<div>
						这篇文章介绍了Asp.Net用OWC操作Excel的实例代码,有需要的朋友可以参考一下,希望对你有所帮助   复制代码 代码如下:     string connstr = System.Config ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN94rM.html" rel="bookmark" class="title">win8系统如何取消开机自动启动浏览器功能</a>
					<div>
						  1.进入Win8系统传统桌面位置,然后按住Win+R键调出电脑运行对话框,在Win8系统运行窗口上输入regedit命令;   2.在打开最新注册表编辑器上,然后在注册表编辑器上展开HKEY_LO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGxLap.html" rel="bookmark" class="title">怎么用金山毒霸禁止访问指定网站</a>
					<div>
						  怎么用金山毒霸禁止访问指定网站?金山毒霸禁止访问指定网站的功能可以用广告过滤这一功能实现.如果要让全部(或指定)浏览器禁止访问指定网站,还需进行一定的设置.装了金山毒霸又不想装360或是其他软件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ3kLp.html" rel="bookmark" class="title">谈谈网页中的表单设计</a>
					<div>
						Don't make users abandon in the first step!--谈谈网页中的表单设计 电子商务网站都会遇到用户常常在付款的最后一步放弃http://www.aliyun.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPxvrp.html" rel="bookmark" class="title">编程-如何用MFC写输入程序？？</a>
					<div>
						问题描述 如何用MFC写输入程序?? 想编个输入法,可是刚开始就为难了,网上虽然有很多相关资料,却没有人告诉你到底该如何写dll如何运行程序才能将输入法显示出来... 解决方案 输入法有一套框架的,好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQva8p.html" rel="bookmark" class="title">magento -- 如何修改产品列表默认排序</a>
					<div>
						magento的产品在列表页默认是按升序排列,也就是说先添加的产品显示在最前面,这就导致页面上总是看到老产品,而新添加的却要翻页才能看到.想让最新添加的排最前面需要修改文件,方式如下:       打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7xWxp.html" rel="bookmark" class="title">黑无线也能让你倾家荡产 防范自救就靠10条</a>
					<div>
						如果智能手机不能上网,那和辣鸡有什么本质上的区别?让我们这些&quot;低头族&quot;如何获取新闻资讯.听歌看视频.玩游戏呢?但运营商那么抠,每个月的流量就那么点.想要玩的溜,免费Wi-Fi就得用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEKd1z.html" rel="bookmark" class="title">android-fragment和slidingmenu的问题</a>
					<div>
						问题描述 fragment和slidingmenu的问题 我现在的布局是,主界面是个framelayout,然后有五个fragment,我需要在程序一开始就显示第一个fragment,所以我就在主界面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P7Qqp.html" rel="bookmark" class="title">Open-Source Service Discovery</a>
					<div>
						Service discovery is a key component of most distributed systems and service oriented architectures. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeZnWb.html" rel="bookmark" class="title">问下eclipse官网不提供VE插件的安装下载了吗？</a>
					<div>
						问题描述 本想安装eclipse VE插件的来学习SWT/JFACE官网地址:http://wiki.eclipse.org/VE/Update那里写了eclipse插件安装的网址:http://do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZNWap.html" rel="bookmark" class="title">地方论坛事件推广总结  Q群微博效果对比</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前两天在论坛进行了一次小规模的事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjW2dM.html" rel="bookmark" class="title">走进信息化技术知识自测试题3</a>
					<div>
						本文讲的是 : 走进信息化技术知识自测试题3   ,  1. 选定多个连续的文件或文件夹,应首先选定第一个文件或文件夹,然后按住( )键,单击最后一个文件或文件夹. A. Alt B. Shift C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnE31M.html" rel="bookmark" class="title">thinkphp无法加载模块-ThinkPHP无法加载模块</a>
					<div>
						问题描述 ThinkPHP无法加载模块 thinkphp提示无法加载Login模块,URL的大小写我都注意了,这是什么原因造成的???麻烦各位大虾指点迷津,谢谢了 http://localhost/t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YPxZz.html" rel="bookmark" class="title">两个json，结构不一样，值是一样的，怎么对比让他们相等？</a>
					<div>
						问题描述 publicstaticvoidmain(String[]args){Stringstr=&quot;{&quot;name&quot;:&quot;Michael&quot;,&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPknEDM.html" rel="bookmark" class="title">FFMpeg分析：第一个函数avformat&lowbar;open&lowbar;input</a>
					<div>
						在上篇文章中的demo中,main函数的流程里调用的第一个函数就是avformat_open_input().直观看来,其最明显的功能就是制定了要播放的文件名了.但是除了问价名之外还有几个结构体作为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW56ez.html" rel="bookmark" class="title">jquery倒计时效果&lpar;精确毫秒，适合团购&rpar;</a>
					<div>
						本文以团购网站的倒计时为背景,我们知道,网站会给每个优惠活动(商品)定一个结束时间,也就是到期时间,但系统时间到达了结束时间,就意味着活动结束.因此,我们在HTML中就要定义活动的结束时间. HTML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmlYqp.html" rel="bookmark" class="title">喜马拉雅FMAPP定时关闭操作步骤</a>
					<div>
						给各位喜马拉雅FM软件的使用者们来详细的解析分享一下定时关闭的操作步骤. 解析分享: 1.打开一个你喜欢的电台节目,进入播放界面,点击播放键右侧的[定时关闭]     2.选择关闭的时间.或者听完本节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Bdkb.html" rel="bookmark" class="title">wrk中添加系统调用的方式</a>
					<div>
						问题描述 wrk中添加系统调用的方式 Add a new system call to iterate process List: subtask: add a new system service  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0k4jz.html" rel="bookmark" class="title">如图所示怎么在Gridview中显示星期</a>
					<div>
						问题描述 解决方案 解决方案二:DateTimetime=DateTime.Now;//2010-5-2811:22:02.4552691星期五time.To(&quot;dddd&quot;)&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qa87p.html" rel="bookmark" class="title">过滤器匹配问题</a>
					<div>
						问题描述 用过滤器过滤/WebRoot/a/下面的所有jsp文件,怎么在web.xml下写匹配啊问题补充:也不是,我就是想知道怎么匹配,我用在&lt;url-mapping&gt;/a/.jsp&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKnVQM.html" rel="bookmark" class="title">OpenCV meanshift 图像分割代码</a>
					<div>
						    参考:这个帖子的主要代码有错误,根据回帖改了一些 http://www.cnblogs.com/tornadomeet/archive/2012/06/06/2538695.html   // ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
